#! /usr/bin/env python

# script utility to parse the source of the resonance wiki and return just the measured frequency column

import parsereswiki
import sys

if __name__=="__main__":
    if len(sys.argv)>=2 and sys.argv[1]=="-h":
        print("""extractfmeas.py is a Unix pipeline utility to read the source of the resonance wiki page from stdin and write the f_meas column to stdout. Any data rows with incorrect format will be printed to stderr.""")
    else:   
        
        rawtext = sys.stdin.readlines()
        
        (parseddata, baddata) = parsereswiki.dparse(rawtext)
        
        # if any bad data lines, print them so the user can debug them
        if len(baddata)<>0:
            sys.stderr.write("Bad data rows: "+str(len(baddata))+"\n")
            for l in baddata:
                sys.stderr.write(l)
                    
        fmeasorder = sorted(parseddata,key=parsereswiki.fmeas)
                        
        for l in fmeasorder:
            if l[parsereswiki.di['fmeas']]!='':
                sys.stdout.write(l[parsereswiki.di['fmeas']].split()[0]+"\n")
